### Hierarchy

- Aggregation

## Index

### Constructors

- constructor

### Properties

- logger
- pipeline

### Methods

- aggregate
- validStage

## Constructors

### constructor

- new Aggregation(pipeline: any): Aggregation

- - Defined in aggregation/Aggregation.ts:201

  #### Parameters

  - ##### pipeline: any

  #### Returns Aggregation

## Properties

### Protected logger

logger: JSWLogger

- Defined in aggregation/Aggregation.ts:199

### pipeline

pipeline: any

- Defined in aggregation/Aggregation.ts:201

## Methods

### aggregate

- aggregate(collection: any): any

- - Defined in aggregation/Aggregation.ts:209

  #### Parameters

  - ##### collection: any

  #### Returns any

### validStage

- validStage(stage: any): string | true | false

- - Defined in aggregation/Aggregation.ts:240

  #### Parameters

  - ##### stage: any

  #### Returns string | true | false

Generated using TypeDoc